import request from '@/utils/request'

//查询列表
export function getList(data){
  return request({
    url:'/house/mobile/lz/list',
    method:'get',
    params:data
  })
}

//删除列表项
export function removeList(id){
  return request({
    url:'/house/lz/remove/'+id,
    method:'get'
  })
}

//宅基地流转详情
export function getLz(id){
  return request({
    url:'/house/lz/get/'+id,
    method:'get'
  })
}

//宅基地代码
export function zjdzd(){
  return request({
    url:'/house/mobile/zjdzd/list',
    method:'get'
  })
}

//权利人代码
export function getByZjddm(data){
  return request({
    url:'/house/obligee/getByZjddm',
    method:'get',
    params:data
  })
}

//修改保存宅基地流转
export function edit(data){
  return request({
    url:'/house/lz/edit',
    method:'post',
    data:data
  })
}

//修改保存宅基地流转
export function goApply(id){
  return request({
    url:'/house/lz/submitApply/'+id,
    method:'post',
  })
}

//修改保存宅基地流转
export function houseAdd(data){
  return request({
    url:'/house/lz/add',
    method:'post',
    data:data
  })
}

//修改保存宅基地流转
export function selectAllLicense(id){
  return request({
    url:'/house/allinformation/license/'+id,
    method:'get'
  })
}
